Package oracle.jdbc

## Enum OracleTypeMetaData.Kind

- java.lang.Object
- - java.lang.Enum<OracleTypeMetaData.Kind>
  - - oracle.jdbc.OracleTypeMetaData.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OracleTypeMetaData.Kind>`

Enclosing interface:
  OracleTypeMetaData

    public static enum OracleTypeMetaData.Kind
    extends java.lang.Enum<OracleTypeMetaData.Kind>

Identifies the kind of named type.

### Enum Constant Summary

Enum Constants
`ARRAY`
`OPAQUE`
`STRUCT`
`TYPE`

### Method Summary

All Methods Static Methods Concrete Methods
`static OracleTypeMetaData.Kind` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OracleTypeMetaData.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARRAY

    public static final OracleTypeMetaData.Kind ARRAY

#### OPAQUE

    public static final OracleTypeMetaData.Kind OPAQUE

#### STRUCT

    public static final OracleTypeMetaData.Kind STRUCT

#### TYPE

    public static final OracleTypeMetaData.Kind TYPE

### Method Detail

#### values

    public static OracleTypeMetaData.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleTypeMetaData.Kind c : OracleTypeMetaData.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleTypeMetaData.Kind valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null